pw_proxy Class Reference

Represents an object on the client side. More...

## Public Member Functions

SPA_EXPORT struct pw_proxy * | pw_proxy_new (struct pw_proxy *factory, uint32_t type, size_t user_data_size)
| Create a proxy object with a given id and type. More...
SPA_EXPORT void | pw_proxy_destroy (struct pw_proxy *proxy)
| Destroy a proxy object. More...

## Detailed Description

Represents an object on the client side.

A pw_proxy acts as a client side proxy to an object existing in a remote pipewire instance. The proxy is responsible for converting interface functions invoked by the client to PipeWire messages. Events will call the handlers set in listener.

See Proxy

## Member Function Documentation

## pw_proxy_destroy()

SPA_EXPORT void pw_proxy_destroy | ( | struct pw_proxy * | proxy | ) |

Destroy a proxy object.

Parameters

  proxy | Proxy object to destroy

Note
  This is normally called by pw_remote when the server decides to destroy the server side object

## pw_proxy_new()

SPA_EXPORT struct pw_proxy * pw_proxy_new | ( | struct pw_proxy * | factory,
|  | uint32_t | type,
|  | size_t | user_data_size
| ) |  |

Create a proxy object with a given id and type.

Parameters

  factory | another proxy object that serves as a factory
  type | Type of the proxy object
  user_data_size | size of user_data

Returns
  A newly allocated proxy object or NULL on failure

This function creates a new proxy object with the supplied id and type. The proxy object will have an id assigned from the client id space.

See also
  pw_remote

References pw_protocol_get_marshal().

The documentation for this class was generated from the following files:

- proxy.h
- proxy.c